ONVIF::Analytics::Types::FindRecordingResultList(3)

NAME
ONVIF::Analytics::Types::FindRecordingResultList

DESCRIPTION
Perl data type class for the XML Schema defined complexType FindRecordingResultList from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SearchState

•   RecordingInformation

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::FindRecordingResultList
   SearchState => $some_value, # SearchState
   RecordingInformation =>  { # ONVIF::Analytics::Types::RecordingInformation
     RecordingToken => $some_value, # RecordingReference
     Source =>  { # ONVIF::Analytics::Types::RecordingSourceInformation
       SourceId =>  $some_value, # anyURI
       Name => $some_value, # Name
       Location => $some_value, # Description
       Description => $some_value, # Description
       Address =>  $some_value, # anyURI
     },
     EarliestRecording =>  $some_value, # dateTime
     LatestRecording =>  $some_value, # dateTime
     Content => $some_value, # Description
     Track =>  { # ONVIF::Analytics::Types::TrackInformation
       TrackToken => $some_value, # TrackReference
       TrackType => $some_value, # TrackType
       Description => $some_value, # Description
       DataFrom =>  $some_value, # dateTime
       DataTo =>  $some_value, # dateTime
     },
     RecordingStatus => $some_value, # RecordingStatus
   },
 },

AUTHOR
Generated by SOAP::WSDL